<?php

declare(strict_types=1);

namespace Drupal\ispim\PreviewImage;

class EditForm extends AddForm {

  protected function saveSetMessage(): static {
    $args = [
      '%label' => $this->entity->label(),
      '@type' => $this->entity->getEntityType()->getLabel(),
    ];

    $this->messenger()->addStatus($this->t('"%label" @type has been updated', $args));

    return $this;
  }

}
