<?php

declare(strict_types=1);

namespace Drupal\ispim\PreviewImage;

interface PermissionProviderInterface {

  /**
   * @return array<string, array<string, mixed>>
   */
  public function getPermissions(): array;

  public function getBundlePermission(string $operation, string $bundleId = ''): string;

}
